Name: Thunar
Version: 0.9.3
Release: alt1.M41.1

Summary: Thunar File Manager for the XFce Desktop Environment
Group: Graphical desktop/XFce
License: GPL
Url: http://www.xfce.org/
Packager: Georgy Kirik <kga@altlinux.ru>

Source: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2
Patch1: Thunar-0.9.0-missing-audio-cds-for-volman.patch
Patch2: thunar-vfs-get_eject.diff
Patch3: thunar-vfs-nozombies.patch

# Automatically added by buildreq on Sun Nov 09 2008
BuildRequires: gcc-c++ gnome-doc-utils gtk-doc imake intltool libSM-devel libdbus-glib-devel libexif-devel libexo-devel libgamin-devel libpcre-devel libstartup-notification-devel time xfce4-dev-tools xorg-cf-files
BuildRequires: xfce4-panel-devel >= 4.4.3

%description
%name Thunar File Manager for XFce environment.

%package devel
Summary: devel files for Thunar
Group: Graphical desktop/XFce
Requires: %name = %version
%description devel
devel files for Thunar

%prep
%setup -q -n %name-%version
%patch1 -p0
%patch2 -p1
%patch3 -p0

%build
libtoolize --force --copy
intltoolize --force
aclocal -I %_datadir/xfce4/dev-tools/m4macros
automake -acf
autoconf

%configure \
	--enable-largefile \
	--enable-gtk-doc \
	--enable-xsltproc \
	--enable-xml2po \
	--enable-debug=no \
	--enable-dbus \
	--disable-gnome-thumbnailers \
	--enable-gtk-doc \
	--enable-exif \
	--enable-pcre
%make_build

%install
%make install DESTDIR=%buildroot
mv %buildroot%_docdir/Thunar .

%find_lang %name

%post
/usr/bin/gtk-update-icon-cache
%postun
/usr/bin/gtk-update-icon-cache

%files -f %name.lang
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS Thunar/*
%_bindir/*
%_desktopdir/*
%_datadir/gtk-doc/html/thunarx/*
%_datadir/gtk-doc/html/thunar-vfs/*
%_libdir/*.so*
%_man1dir/*
%_pixmapsdir/*
%_datadir/dbus-1/services/*
%_libexecdir/ThunarBulkRename
%_libexecdir/ThunarHelp
%_libexecdir/thunar-sendto-email
%_libexecdir/thunar-vfs-font-thumbnailer-1
%_libexecdir/thunar-vfs-mime-cleaner-1
%_libexecdir/thunar-vfs-pixbuf-thumbnailer-1
%_libexecdir/thunar-vfs-update-thumbnailers-cache-1
%_libexecdir/xfce4/panel-plugins/thunar-tpa
%dir %_sysconfdir/xdg/Thunar
%_sysconfdir/xdg/Thunar/*
%_datadir/Thunar/sendto/thunar-sendto-email.desktop
%_datadir/xfce4/panel-plugins/thunar-tpa.desktop
%_datadir/thumbnailers/thunar-vfs-font-thumbnailer-1.desktop
%_liconsdir/*
%_miconsdir/*
%_iconsdir/hicolor/scalable/apps/*
%_iconsdir/hicolor/16x16/stock/navigation/stock_thunar-shortcuts.png
%_iconsdir/hicolor/16x16/stock/navigation/stock_thunar-templates.png
%_iconsdir/hicolor/24x24/apps/Thunar.png
%_libdir/thunarx-1/*.so

%files devel
%_pkgconfigdir/*.pc
%_includedir/thunarx-1/*
%_includedir/thunar-vfs-1/*
%exclude %_libdir/thunarx-1/*.la

%changelog
* Tue Dec 27 2008 George Kirik <kga@altlinux.org> 0.9.3-alt1.M41.1
- backport Xfce 4.4.3 from Sisyphus to branch 4.1

* Fri Dec 19 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.9.3-alt2
- Move plugins to main package

* Sun Nov 09 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.9.3-alt1
- Xfce 4.4.3 release

* Wed Dec 12 2007 Eugene Ostapets <eostapets@altlinux.org> 0.9.0-alt2
- fix "Eject" menu for ejectable device
- fix detect audio cd

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 0.9.0-alt1
- Xfce 4.4.2 release

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.8.0-alt0.1
- Xfce 4.4 release

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.5.0-alt1.1
- Rebuilt due to libdbus-1.so.2 -> libdbus-1.so.3 soname change.

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.5.0-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  0.4.0rc1-alt2
- Fix buildreq and cleanup spec 

* Tue Nov 15 2005 Eugene Ostapets <eostapets@altlinux.ru> 0.4.0rc1-alt1
- 4.4rc1
